# Interest Rate Model

#### Overview <a href="#overview" id="overview"></a>

Segment Finance offers variable interest rates for markets using two different models: the Jump Rate Model and the Whitepaper Rate Model. Each market operates under one of these models with specifically set risk parameters at the market's inception. Moreover, some markets feature a stable rate.

**Jump Rate Model**

The Jump Rate Model uses the following formulas to calculate the interest:

For Borrow rate:&#x20;

***borrow\_rate(u)=b+a1⋅kink+a1⋅min⁡(0,u−kink)+a2⋅max⁡(0,u−kink)***

And, for Supply rate:&#x20;

***supply\_rate(u)=borrow\_rate(u)⋅us⋅(1−reserve\_factor)***

Where,

***us=borrows/ (cash+borrows−reserves+badDebt)***

The borrow rate employs different formulas when the utilization rate falls into two distinct ranges:

If `u < kink`:

***borrow\_rate(u)=a1⋅u+b***

If `u > kink`:

***borrow\_rate(u)=a 1 ​ ⋅kink+a 2 ​ ⋅(u−kink)+b***

**Model Parameters**

* `a1`: Variable interest rate slope1.
* `a2`: Variable interest rate slope2.
* `b`: Base rate per block (`baseRatePerYear / blocksPerYear`).
* `kink`: Optimal utilization rate, at which the variable interest rate slope shifts from slope1 to slope2.
* `reserve_factor`: Part of interest income withdrawn from the protocol, i.e., not distributed to suppliers.

The utilization rate (`u`) is defined as:

***utilization\_rate=(borrows+bad\_debt)/(cash+borrows+bad\_debt−reserves)***

​Where:

* `borrows`: Amount of borrows in the market, in terms of the underlying asset, excluding bad debt.
* `cash`: Total amount of the underlying asset owned by the market at a specific time.
* `reserves`: Amount of the underlying asset owned by the market but unavailable for borrowers or suppliers, reserved for various uses defined by the protocol's tokenomics.
* `bad_debt`: After liquidators repay as much debt as possible, reducing collateral to a minimal amount, the remaining debt is tagged as bad debt. Bad debt doesn’t accrue interest.

**Whitepaper Rate Model**

The Whitepaper Rate Model is simpler, where the borrow rate depends linearly on the utilization:

For Borrow rate:

***borrow\_rate(u)=a⋅u+b***

For Supply rate:

***supply\_rate(u)=borrow\_rate(u)⋅us⋅(1−reserve\_factor)***

Where,

***us=borrows/(cash+borrows−reserves+badDebt)***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.segment.finance/protocol/interest-rate-model.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
